# $Revision: 1.10 $, $Date: 2009/05/01 14:46:06 $
#
# Conditional build:
%bcond_with	metis		# build with metis lib
#
Summary:	CHOLMOD: sparse supernodal Cholesky factorization and update/downdate
Summary(pl.UTF-8):	CHOLMOD - rzadki wielowęzłowy rozkład Cholesky'ego z poprawianiem
Name:		CHOLMOD
Version:	1.7.1
Release:	1
License:	GPL v2+ (some parts LGPL v2.1+)
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/cholmod/%{name}-%{version}.tar.gz
# Source0-md5:	9032c5724bee43ccd8f4546338a29fac
Patch0:		%{name}-ufconfig.patch
Patch1:		%{name}-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/cholmod/
BuildRequires:	AMD-devel
BuildRequires:	CAMD-devel
BuildRequires:	CCOLAMD-devel
BuildRequires:	COLAMD-devel
BuildRequires:	UFconfig
BuildRequires:	blas-devel
BuildRequires:	lapack-devel
BuildRequires:	libtool >= 2:1.5
%{?with_metis:BuildRequires:	metis-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CHOLMOD is a set of ANSI C routines for sparse Cholesky
factorization and update/downdate.

%description -l pl.UTF-8
CHOLMOD to zbiór procedur ANSI C do rzadkiego rozkładu Cholesky'ego z
poprawianiem.

%package devel
Summary:	Header files for CHOLMOD library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CHOLMOD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	UFconfig

%description devel
Header files for CHOLMOD library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki CHOLMOD.

%package static
Summary:	Static CHOLMOD library
Summary(pl.UTF-8):	Statyczna biblioteka CHOLMOD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CHOLMOD library.

%description static -l pl.UTF-8
Statyczna biblioteka CHOLMOD.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
%if %{with metis}
	CFLAGS="%{rpmcflags}" \
%else
	CFLAGS="%{rpmcflags} -DNPARTITION" \
	METIS= \
%endif
	LDFLAGS="%{rpmldflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/cholmod

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install Include/*.h $RPM_BUILD_ROOT%{_includedir}/cholmod

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt Doc/ChangeLog
%attr(755,root,root) %{_libdir}/libcholmod.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcholmod.so.0

%files devel
%defattr(644,root,root,755)
%doc Doc/UserGuide.pdf
%attr(755,root,root) %{_libdir}/libcholmod.so
%{_libdir}/libcholmod.la
%{_includedir}/cholmod

%files static
%defattr(644,root,root,755)
%{_libdir}/libcholmod.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: CHOLMOD.spec,v $
Revision 1.10  2009/05/01 14:46:06  duddits
- up to 1.7.1

Revision 1.9  2009/01/14 12:01:19  duddits
- up to 1.7.0

Revision 1.8  2008/01/04 23:22:33  qboosh
- fixed shared patch, -fPIC hack no longer needed

Revision 1.7  2007-12-26 16:35:11  qboosh
- some parts are GPLed
- added ChangeLog to doc, UserGuide moved to -devel
- ghost soname symlink

Revision 1.6  2007-12-26 15:53:27  qboosh
- pl, sorted BRs

Revision 1.5  2007-12-07 16:56:38  baggins
- consistent library name in summary/description

Revision 1.4  2007-12-07 16:49:06  baggins
- use private include dir

Revision 1.3  2007-12-07 16:42:49  baggins
- use rpmldflags

Revision 1.2  2007-12-07 12:19:36  baggins
- use LDFLAGS

Revision 1.1  2007-12-07 11:47:57  baggins
- initial revision
